function y_array = int_impeuler(func, diff, time_steps, y0 )

n = length(y0);

y_array = zeros(n, length(time_steps));
y_array(:, 1) = y0;

perint = 1;

yi = y0;

for ind_t = 2:length(time_steps)

   ti = time_steps(1);
   h = (time_steps(2)-ti)/perint;

   for j=1:perint

%
%     START
%
%     ein Schritt mit dem impliziten Euler-Verfahren
%     ausgehend von der Approximation yi an der
%     Stelle ti
%
      f0 = feval(func, ti, yi);

      z0 = yi + h*f0;
      zk = z0;

      for k=1:6
         f = feval(func, ti+1, zk);
         Df = feval(diff, ti+1, zk);

         Dg = h*Df - eye(size(Df));
         g = h*f - zk + yi;
         zk = zk - Dg\g;
      end

      y_array(:, ind_t) = zk;
      yi = zk;
%
%
%     ENDE
%

   end

end
