function y_array = int_reference(func, diff, time_steps, y0 )

n_ts = length(time_steps);
n = length(y0);

y_array = zeros(n, n_ts);
y_array(:, 1) = y0;

opts = odeset('RelTol', 1e-8, 'AbsTol', 1e-15);

for t_ind = 2:n_ts
   t = time_steps(t_ind);
   tm1 = time_steps(t_ind-1);

   [times, y_arr] = ode45(func, [tm1, t], y_array(:, t_ind-1), opts);

   y_array(:, t_ind) = y_arr(end, :)';
end
