function y_array = int_rungekutta(method, func, diff, time_steps, y0 )

switch method
   case 'exp euler'
      c = [0];
      A = [0];
      b = [1];

   case 'heun'
      c = [0; 1/3; 2/3];
      A = [  0,   0, 0; ...
           1/3,   0, 0; ...
             0, 2/3, 0];
      b = [1/4, 0, 3/4];

   case '3/8 rule'
      c = [0; 1/3; 2/3; 1];
      A = [ 0  ,   0, 0, 0; ...
            1/3,   0, 0, 0; ...
           -1/3,   1, 0, 0; ...
              1,  -1, 1, 0];
      b = [1/8, 3/8, 3/8, 1/8];

   case 'runge2'
      c = [0; 1/2];
      A = [0, 0; 1/2, 0];
      b = [0, 1];

   case 'runge3'
      c = [0; 1/2; 1; 1];
      A = [  0, 0, 0, 0; ...
           1/2, 0, 0, 0; ...
             0, 1, 0, 0; ...
             0, 0, 1, 0];
      b = [1/6, 2/3, 0, 1/6];

   case 'runge kutta'
      c = [0; 1/2; 1/2; 1];
      A = [ 0  ,   0, 0, 0; ...
            1/2,   0, 0, 0; ...
            0  , 1/2, 0, 0; ...
            0  ,   0, 1, 0];
      b = [1/6, 2/6, 2/6, 1/6];
   otherwise
      error('Unknown method.');

end

s = length(b);
n = length(y0);

y_array = zeros(n, length(time_steps));
y_array(:, 1) = y0;


for ind_t = 2:length(time_steps)
   t0 = time_steps(ind_t-1);

   ...

   y0 = ... y0 ...

   ...

   y_array(:, ind_t) = y0;
end

